View Issue Details

IDProjectCategoryView StatusLast Update
0035156LazarusWidgetsetpublic2020-02-14 19:29
ReporterAlexander Koblov Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Summary0035156: Qt: QWindow_winId, QWidget_winId should return PtrUInt instead LongWord
DescriptionQWindow_winId, QWidget_winId should return PtrUInt instead LongWord. In the Qt sources WId type is declared as "typedef QT_PREPEND_NAMESPACE(quintptr) WId;".
Need to fix Qt4Pas, Qt5Pas and pascal bindings.

Currently that functions could return wrong value under 64 bit.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetQT, QT5
Attached Files

Activities

Zeljan Rikalo

2019-02-27 09:45

developer   ~0114482

Indeed, PtrUInt should be used.
https://www.freepascal.org/docs-html/rtl/system/ptruint.html is wrong which says that PtrUInt = DWord. That applies only to 32bit, 64bit is QWord.
Problem is that libQt4Pas is not maintained by me so there's no big chance to fix it, Qt5 part should be fixed soon.

Zeljan Rikalo

2019-02-27 10:23

developer   ~0114483

And QtHandle from qt56.pas (and qt4.pas) is also wrong + bindings.

Zeljan Rikalo

2019-02-27 11:08

developer   ~0114484

Qt5 is fixed r60524 and r60525.
Qt5Pas should be rebuilded for use with trunk, also I'll add this changes to fixes 2.0 so in lazarus 2.0.2 we'll have correct types at least for Qt5.
I'll rebuild libQt5Pas1.dll in lazarus binaries, just before 2.0.2 release.
Version of Qt5Pas is changed from 1.2.6 to 1.2.7.

Zeljan Rikalo

2020-01-31 15:22

developer   ~0120831

Qt5 is fixed with libQt5Pas 1.2.7 and current lazarus trunk, Qt4 won't be fixed, please close if it's ok for you.

Issue History

Date Modified Username Field Change
2019-02-27 06:52 Alexander Koblov New Issue
2019-02-27 09:26 Zeljan Rikalo Assigned To => Zeljan Rikalo
2019-02-27 09:26 Zeljan Rikalo Status new => assigned
2019-02-27 09:45 Zeljan Rikalo LazTarget => -
2019-02-27 09:45 Zeljan Rikalo Note Added: 0114482
2019-02-27 09:45 Zeljan Rikalo Status assigned => confirmed
2019-02-27 10:23 Zeljan Rikalo Note Added: 0114483
2019-02-27 11:08 Zeljan Rikalo Note Added: 0114484
2019-02-27 11:08 Zeljan Rikalo Status confirmed => feedback
2020-01-31 15:22 Zeljan Rikalo Status feedback => resolved
2020-01-31 15:22 Zeljan Rikalo Resolution open => fixed
2020-01-31 15:22 Zeljan Rikalo Widgetset QT, QT5 => QT, QT5
2020-01-31 15:22 Zeljan Rikalo Note Added: 0120831
2020-02-14 19:29 Alexander Koblov Status resolved => closed